EscalationAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.escalation.server.session.EscalationAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.escalation.server.session
Class EscalationAction

    java.lang.Object
      org.hyperic.hq.escalation.server.session.EscalationAction

All Implemented Interfaces:
  java.io.Serializable, JSON

    public class EscalationAction

extends java.lang.Object
implements java.io.Serializable, JSON

See Also:
  Serialized Form

Constructor Summary
`protected` | `EscalationAction()`
`protected` | `EscalationAction(Escalation parent, Action action, long waitTime)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`Action` | `getAction()`
`java.lang.String` | `getJsonName()`
`Escalation` | `getParent()`
`long` | `getWaitTime()`
`int` | `hashCode()`
`protected void` | `setAction(Action action)`
`protected void` | `setParent(Escalation parent)`
`protected void` | `setWaitTime(long waitTime)`
`org.json.JSONObject` | `toJSON()` Convert the object to a Json object

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscalationAction

    protected EscalationAction()

### EscalationAction

    protected EscalationAction(Escalation parent,
                               Action action,
                               long waitTime)

Method Detail

### setParent

    protected void setParent(Escalation parent)

### getParent

    public Escalation getParent()

### getAction

    public Action getAction()

### setAction

    protected void setAction(Action action)

### getWaitTime

    public long getWaitTime()

### setWaitTime

    protected void setWaitTime(long waitTime)

### toJSON

    public org.json.JSONObject toJSON()

  Description copied from interface: `JSON`
  Convert the object to a Json object

  Specified by:
    `toJSON` in interface `JSON`

### getJsonName

    public java.lang.String getJsonName()

  Specified by:
    `getJsonName` in interface `JSON`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.